gsw_spiciness2 {gsw} | R Documentation

## Seawater Spiciness at p=2000 dbar

### Description

Calculate seawater spiciness referenced to 2000 dbar.

### Usage

    gsw_spiciness2(SA, CT)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

spiciness [ kg/m^3 ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_spiciness2.html

### See Also

Other things related to spiciness: `gsw_spiciness1`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    spiciness <- gsw_spiciness2(SA, CT)
    expect_equal(spiciness, c(6.874671751873180, 6.884616399155135, 5.154458892387083,
                              1.624327800598636, 0.823490797424952, 0.355069307641827))

[Package gsw version 1.0-5 Index]